Record Payment
curl --request POST \
--url https://api.embedads.com/advertisers/{advertiserID}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"amount_tax": 123,
"currency": "<string>",
"type": "<string>",
"authorized_to_spend": true,
"receipt_url": "<string>"
}
'import requests
url = "https://api.embedads.com/advertisers/{advertiserID}/transactions"
payload = {
"amount": 123,
"amount_tax": 123,
"currency": "<string>",
"type": "<string>",
"authorized_to_spend": True,
"receipt_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
amount_tax: 123,
currency: '<string>',
type: '<string>',
authorized_to_spend: true,
receipt_url: '<string>'
})
};
fetch('https://api.embedads.com/advertisers/{advertiserID}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.embedads.com/advertisers/{advertiserID}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 123,
'amount_tax' => 123,
'currency' => '<string>',
'type' => '<string>',
'authorized_to_spend' => true,
'receipt_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.embedads.com/advertisers/{advertiserID}/transactions"
payload := strings.NewReader("{\n \"amount\": 123,\n \"amount_tax\": 123,\n \"currency\": \"<string>\",\n \"type\": \"<string>\",\n \"authorized_to_spend\": true,\n \"receipt_url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.embedads.com/advertisers/{advertiserID}/transactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 123,\n \"amount_tax\": 123,\n \"currency\": \"<string>\",\n \"type\": \"<string>\",\n \"authorized_to_spend\": true,\n \"receipt_url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.embedads.com/advertisers/{advertiserID}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 123,\n \"amount_tax\": 123,\n \"currency\": \"<string>\",\n \"type\": \"<string>\",\n \"authorized_to_spend\": true,\n \"receipt_url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body[
{
"advertiser_id": 123,
"id": 456,
"created_at": "2020-01-01T00:00:00Z",
"type": "PAYMENT",
"amount": 100,
"amount_tax": 10,
"receipt_url": "https://example.com/receipt"
}
]
{
"error": "currency must be specified as \"USD\""
}
{
"error": "Internal Server Error"
}
Advertiser Billing
Record Payment
Record an Advertiser’s payment for ad spend. You can also do this manually on the Advertiser’s Billing page in the admin portal.
POST
/
advertisers
/
{advertiserID}
/
transactions
Record Payment
curl --request POST \
--url https://api.embedads.com/advertisers/{advertiserID}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"amount_tax": 123,
"currency": "<string>",
"type": "<string>",
"authorized_to_spend": true,
"receipt_url": "<string>"
}
'import requests
url = "https://api.embedads.com/advertisers/{advertiserID}/transactions"
payload = {
"amount": 123,
"amount_tax": 123,
"currency": "<string>",
"type": "<string>",
"authorized_to_spend": True,
"receipt_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
amount_tax: 123,
currency: '<string>',
type: '<string>',
authorized_to_spend: true,
receipt_url: '<string>'
})
};
fetch('https://api.embedads.com/advertisers/{advertiserID}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.embedads.com/advertisers/{advertiserID}/transactions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 123,
'amount_tax' => 123,
'currency' => '<string>',
'type' => '<string>',
'authorized_to_spend' => true,
'receipt_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.embedads.com/advertisers/{advertiserID}/transactions"
payload := strings.NewReader("{\n \"amount\": 123,\n \"amount_tax\": 123,\n \"currency\": \"<string>\",\n \"type\": \"<string>\",\n \"authorized_to_spend\": true,\n \"receipt_url\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.embedads.com/advertisers/{advertiserID}/transactions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 123,\n \"amount_tax\": 123,\n \"currency\": \"<string>\",\n \"type\": \"<string>\",\n \"authorized_to_spend\": true,\n \"receipt_url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.embedads.com/advertisers/{advertiserID}/transactions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 123,\n \"amount_tax\": 123,\n \"currency\": \"<string>\",\n \"type\": \"<string>\",\n \"authorized_to_spend\": true,\n \"receipt_url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body[
{
"advertiser_id": 123,
"id": 456,
"created_at": "2020-01-01T00:00:00Z",
"type": "PAYMENT",
"amount": 100,
"amount_tax": 10,
"receipt_url": "https://example.com/receipt"
}
]
{
"error": "currency must be specified as \"USD\""
}
{
"error": "Internal Server Error"
}
Path Parameters
string
required
The ID of the advertiser.
Body Parameters
number
required
The amount of the transaction.
number
required
The amount of tax for the transaction.
string
required
The currency of the transaction. Must be specified as
"USD".string
required
The type of transaction. Must be specified as
"PAYMENT".boolean
required
Certifies that the advertiser is allowed to spend the funds, and must be specified as
true to create a transaction.string
The URL of the receipt for the transaction.
Response
number
The ID of the advertiser.
number
The ID of the transaction.
string
A timestamp of when the transaction was created.
string
The type of transaction.
number
The amount of the transaction.
number
The amount of tax for the transaction.
string
The URL of the receipt for the transaction.
[
{
"advertiser_id": 123,
"id": 456,
"created_at": "2020-01-01T00:00:00Z",
"type": "PAYMENT",
"amount": 100,
"amount_tax": 10,
"receipt_url": "https://example.com/receipt"
}
]
{
"error": "currency must be specified as \"USD\""
}
{
"error": "Internal Server Error"
}